# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.693   -> 1.694  
#	drivers/usb/core/usb.c	1.69    -> 1.70   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/24	greg@kroah.com	1.694
# [PATCH] USB: changed the interface name to be a bit more unique.
# 
# This is needed as long as we have the directory of symlinks in the bus
# subdir in driverfs to point to the unique interfaces.
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Wed Jul 24 12:21:00 2002
+++ b/drivers/usb/core/usb.c	Wed Jul 24 12:21:00 2002
@@ -947,8 +947,9 @@
 		/* register this interface with driverfs */
 		interface->dev.parent = &dev->dev;
 		interface->dev.bus = &usb_bus_type;
-		sprintf (&interface->dev.bus_id[0], "if%d",
-			interface->altsetting->bInterfaceNumber);
+		sprintf (&interface->dev.bus_id[0], "%s:%d",
+			 dev->devpath,
+			 interface->altsetting->bInterfaceNumber);
 		if (!desc->iInterface
 				|| usb_string (dev, desc->iInterface,
 					interface->dev.name,
